Class UmlOpaqueAction

Declaration :

- C++ : class UmlOpaqueAction : public UmlBaseOpaqueAction
- Java : class UmlOpaqueAction extends UmlBaseOpaqueAction

Artifact : UmlActivityActionClasses

Operation UmlOpaqueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlOpaqueAction(in id : item_id, in s : string) :
- C++ : public: UmlOpaqueAction(void * id, const QCString & s) : UmlBaseOpaqueAction(id, s)
- Java : public UmlOpaqueAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , behavior , children , childrenVisible , constraint , cppBehavior , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaBehavior , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_Behavior , set_childrenVisible , set_Constraint , set_CppBehavior , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaBehavior , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload , unload